Approve an UPDATE review request and add the proposed contact
POST
/
v1
/
identity
/
review-requests
/
{request_id}
/
approve-update
Approve an UPDATE review request and add the proposed contact
curl --request POST \
--url https://api-sandbox.featherhq.com/v1/identity/review-requests/{request_id}/approve-update \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"resolution_note": "<string>"
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/identity/review-requests/{request_id}/approve-update"
payload = { "resolution_note": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({resolution_note: '<string>'})
};
fetch('https://api-sandbox.featherhq.com/v1/identity/review-requests/{request_id}/approve-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"org_id": "<string>",
"request_type": "merge",
"status": "<string>",
"reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"left_end_user_id": "<string>",
"right_end_user_id": "<string>",
"suggested_survivor_end_user_id": "<string>",
"target_end_user_id": "<string>",
"proposed_identifier_type": "<string>",
"proposed_masked_value": "<string>",
"trigger_identifier_type": "<string>",
"trigger_masked_value": "<string>",
"evidence": {},
"resolved_at": "<string>",
"resolution_note": "<string>"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"message": "<string>",
"rejected_request": {
"id": "<string>",
"org_id": "<string>",
"request_type": "merge",
"status": "<string>",
"reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"left_end_user_id": "<string>",
"right_end_user_id": "<string>",
"suggested_survivor_end_user_id": "<string>",
"target_end_user_id": "<string>",
"proposed_identifier_type": "<string>",
"proposed_masked_value": "<string>",
"trigger_identifier_type": "<string>",
"trigger_masked_value": "<string>",
"evidence": {},
"resolved_at": "<string>",
"resolution_note": "<string>"
},
"new_merge_request": {
"id": "<string>",
"org_id": "<string>",
"request_type": "merge",
"status": "<string>",
"reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"left_end_user_id": "<string>",
"right_end_user_id": "<string>",
"suggested_survivor_end_user_id": "<string>",
"target_end_user_id": "<string>",
"proposed_identifier_type": "<string>",
"proposed_masked_value": "<string>",
"trigger_identifier_type": "<string>",
"trigger_masked_value": "<string>",
"evidence": {},
"resolved_at": "<string>",
"resolution_note": "<string>"
},
"error": "UPDATE_SUPERSEDED"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Polymorphic identity review request.
request_type is "merge" or "update". Fields relevant to each
type are populated accordingly (left/right for merge, target/proposed_*
for update).
Available options:
merge, update Was this page helpful?
⌘I
Approve an UPDATE review request and add the proposed contact
